using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class QueryExtGroupResponse: NewRockResponse
    {
        [XmlElement("group")]
        public List<QueryExtGroupGroupResponse> Group { get; set; }
    }

    public class QueryExtGroupGroupResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("ext")]
        public List<QueryExtGroupExt> Ext { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("distribution")]
        public string Distribution { get; set; }

        [XmlElement("visitor")]
        public List<QueryExtGroupVisitor> Visitor { get; set; }
    }

    public class QueryExtGroupExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class QueryExtGroupVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }

}
